Last Comment Bug 705943 - [SeaMonkey] mochitest-other: browser_bug92473.js and browser_bug134911.js report "Console message: [JavaScript Error: "SetForcedCharset is not defined"" since changeset 0e6b8ae8eb21
: [SeaMonkey] mochitest-other: browser_bug92473.js and browser_bug134911.js rep...
Status: VERIFIED FIXED
[perma-orange]
: regression
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: All All
: -- major (vote)
: mozilla11
Assigned To: Simon Montagu :smontagu
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
Depends on:
Blocks: SmTestFail
  Show dependency treegraph
 
Reported: 2011-11-28 17:05 PST by Serge Gautherie (:sgautherie)
Modified: 2011-12-01 16:52 PST (History)
4 users (show)
smontagu: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Use BrowserSetForcedCharacterSet instead of SetForcedCharset (2.14 KB, patch)
2011-11-29 12:41 PST, Simon Montagu :smontagu
dao+bmo: review+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2011-11-28 17:05:37 PST
I assume this started with
http://hg.mozilla.org/mozilla-central/rev/0e6b8ae8eb21
"remove FUEL usage from these tests. a=tests-only"

At first glance, I would guess SetForcedCharset() is defined in Firefox browser.js only :-/
Then these tests should be Firefox specific (as they used to be) or this function should be defined in Core or Toolkit (or ported to SeaMonkey SMILE).
Comment 1 neil@parkwaycc.co.uk 2011-11-29 01:39:41 PST
SetForcedCharset just calls BrowserSetForcedCharacterSet, which we do have.
Comment 2 Simon Montagu :smontagu 2011-11-29 12:41:11 PST
Created attachment 577710 [details] [diff] [review]
Use BrowserSetForcedCharacterSet instead of SetForcedCharset

BrowserSetForcedCharacterSet exists in both Firefox and Seamonkey
Comment 3 Serge Gautherie (:sgautherie) 2011-11-29 13:33:31 PST
Comment on attachment 577710 [details] [diff] [review]
Use BrowserSetForcedCharacterSet instead of SetForcedCharset

This patch should fix the reported errors just fine :-)

Yet, while there, what is the actual use of Firefox SetForcedCharset()?
As in: could it be deprecated/removed, or shouldn't it rather be added to SeaMonkey?
Comment 5 Marco Bonardo [::mak] 2011-12-01 03:58:58 PST
https://hg.mozilla.org/mozilla-central/rev/f7ce73fb7a71
Comment 6 Serge Gautherie (:sgautherie) 2011-12-01 16:52:01 PST
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1322765602.1322769171.17358.gz&fulltext=1
OS X 10.6 comm-central-trunk debug test mochitest-other on 2011/12/01 10:53:22

V.Fixed

Note You need to log in before you can comment on or make changes to this bug.